/* 
 * This message is auto generated by ROS#. Please DO NOT modify.
 * Note:
 * - Comments from the original code will be written in their own line 
 * - Variable sized arrays will be initialized to array of size 0 
 * Please report any issues at 
 * <https://github.com/siemens/ros-sharp> 
 */

using Newtonsoft.Json;

using RosSharp.RosBridgeClient.MessageTypes.Std;
using RosSharp.RosBridgeClient.MessageTypes.Geometry;

namespace RosSharp.RosBridgeClient.MessageTypes.CocktailpartyToUnity
{
    public class TrackedPerson : Message
    {
        [JsonIgnore]
        public const string RosMessageName = "cocktailparty_to_unity/TrackedPerson";

        //  derived from: https://github.com/spencer-project/spencer_people_tracking/blob/master/messages/spencer_tracking_msgs/msg/TrackedPerson.msg
        //  Message defining a tracked person
        // 
        public ulong track_id;
        //  unique identifier of the target, consistent over time
        public Pose pose;
        //  pose of the track (z value and orientation might not be set, check if corresponding variance on diagonal is > 99999)

        public TrackedPerson()
        {
            this.track_id = 0;
            this.pose = new Pose();
        }

        public TrackedPerson(ulong track_id, Pose pose)
        {
            this.track_id = track_id;
            this.pose = pose;
        }
    }
}
